## webkit2gtk 2.38.1

=== debian/changelog ===
webkit2gtk (2.38.1-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 23 Oct 2022 14:25:03 +0300

webkit2gtk (2.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Oct 2022 15:32:54 +0200

webkit2gtk (2.38.0-3) unstable; urgency=high

  * debian/patches/fix-nonunified-build.patch:
    - Fix non-unified GTK4 build.

 -- Alberto Garcia <berto@igalia.com>  Wed, 28 Sep 2022 09:20:17 +0200

webkit2gtk (2.38.0-2) unstable; urgency=high

  * The WebKitGTK security advisory WSA-2022-0009 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2022-32891 (fixed in 2.36.5).
    - CVE-2022-32886 and CVE-2022-32912 (fixed in 2.36.8).
  * debian/rules:
    - Build with -DENABLE_UNIFIED_BUILDS=OFF on mips, mipsel and sh4, we
      are having problems to build webkit due to lack of memory (#1020642).

 -- Alberto Garcia <berto@igalia.com>  Mon, 26 Sep 2022 11:25:41 +0200
