## webkit2gtk 2.38.2

=== debian/changelog ===
webkit2gtk (2.38.2-1~deb11u1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 18 Nov 2022 11:46:43 +0200

webkit2gtk (2.38.2-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Build libsoup2 packages only.
    - debian/rules: Set ENABLE_SOUP3=NO, ENABLE_GTK4=NO and
      USE_PREBUILT_DOCS=YES.
    - debian/control.in: Remove build dependency on ccache.

 -- Alberto Garcia <berto@igalia.com>  Tue, 08 Nov 2022 10:53:46 +0100

webkit2gtk (2.38.2-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2022-0010 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2022-32888 and CVE-2022-32923 (fixed in 2.38.0).
    - CVE-2022-42799, CVE-2022-42823 and CVE-2022-42824 (fixed in 2.38.2).
  * debian/patches/fix-nonunified-build.patch:
    - Drop this patch.

 -- Alberto Garcia <berto@igalia.com>  Fri, 04 Nov 2022 17:37:25 +0100
