=== debian/rules ===
--- 
+++ 
@@ -26,18 +26,12 @@
 	   -DCMAKE_CXX_FLAGS_RELEASE="" \
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
+	   -DENABLE_GAMEPAD=OFF \
+	   -DUSE_LCMS=OFF \
 	   -DENABLE_MINIBROWSER=ON \
-           -DENABLE_JOURNALD_LOG=OFF 
+           -DENABLE_JOURNALD_LOG=OFF
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
-
-# gcc 10 segfaults when building webkit in amd64 (#1008098) so use clang
-# However in i386, mipsel and arm64 clang is the buggy one (#1010329, #1016811)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
-	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=clang \
-	   -DCMAKE_CXX_COMPILER=clang++
-endif
 
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
@@ -58,7 +52,7 @@
 
 # Systemd/elogind and libmanette are Linux-only
 ifneq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF
 endif
 
 # See https://bugs.webkit.org/show_bug.cgi?id=197192
@@ -119,7 +113,7 @@
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
 	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
 					xdg-dbus-proxy"
-	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
+	DH_GENCONTROL_ARGS += -Vbwrap:Suggests="xdg-desktop-portal-gtk"
 else
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
 endif
@@ -231,3 +225,9 @@
 		    -e 's/@LIBJSC_PKG@/libjavascriptcoregtk-4.1-0/g' \
 		    -e 's/@LIBWEBKITGTK_PKG@/libwebkit2gtk-4.1-0/g' \
 		    -e 's/@GTK_VERSION@/3/g' \
+		    -e 's/@SOUP_VERSION@/3/g' \
+		>> debian/control
+	$(GTK4_BUILD) cat debian/control-common.in | \
+		sed -e 's/@SOUPDEV_PKG@/libsoup-3.0-dev/g' \
+		    -e 's/@WK_API_VERSION@/5.0/g' \
+		    -e 's/@LIBJSC_PKG@/libjavascriptcoregtk-5.0-0/g' \
