## webkit2gtk 2.38.4

=== debian/changelog ===
webkit2gtk (2.38.4-2~deb11u1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 08 Feb 2023 00:29:47 +0200

webkit2gtk (2.38.4-2~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Build libsoup2 packages only.
    - debian/rules: Set ENABLE_SOUP3=NO, ENABLE_GTK4=NO and
      USE_PREBUILT_DOCS=YES.
    - debian/control.in: Remove build dependency on ccache.

 -- Alberto Garcia <berto@igalia.com>  Mon, 06 Feb 2023 11:57:37 +0100

webkit2gtk (2.38.4-2) unstable; urgency=high

  * The WebKitGTK security advisory WSA-2023-0001 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2022-42826, CVE-2023-23517, CVE-2023-23518 (fixed in 2.38.4).
  * debian/patches/fix-nonunified-build.patch:
    - Fix non-unified build (FTBFS in mipsel).

 -- Alberto Garcia <berto@igalia.com>  Fri, 03 Feb 2023 15:52:39 +0100

webkit2gtk (2.38.4-1) unstable; urgency=high

  * New upstream release.
  * debian/control.in:
    - Update Standards-Version to 4.6.2 (no changes).
    - Rename obsolete packages in Build-Depends:
      + libfontconfig1-dev -> libfontconfig-dev
      + libfreetype6-dev   -> libfreetype-dev
      + libegl1-mesa-dev   -> libegl-dev
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Thu, 02 Feb 2023 10:50:05 +0100
