=== debian/control ===
--- 
+++ 
@@ -7,26 +7,30 @@
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Alberto Garcia <berto@igalia.com>
 X-Ubuntu-Use-Langpack: no
-Build-Depends: debhelper (>= 11.2~),
+Build-Depends: debhelper-compat (= 12),
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
+               clang [amd64],
                cmake (>= 3.10),
                jdupes,
                libglib2.0-dev (>= 2.44.0),
                libharfbuzz-dev (>= 0.9.18),
                libcairo2-dev (>= 1.14.0),
-               libfontconfig1-dev (>= 2.8),
-               libfreetype6-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libicu-dev,
                libgcrypt20-dev (>= 1.7.0),
                libhyphen-dev,
+               liblcms2-dev,
+               libmanette-0.2-dev (>= 0.2.4) [linux-any],
                libxslt1-dev (>= 1.1.7),
                libxml2-dev (>= 2.8),
                libsoup2.4-dev,libgtk-3-dev,
                libsqlite3-dev (>= 3.0),
                libgudev-1.0-dev [linux-any],
                libwoff-dev (>= 1.0.2),
+               libwpebackend-fdo-1.0-dev [linux-any],
                gperf,
                bison,
                flex,
@@ -39,16 +43,16 @@
                libxt-dev,
                libgstreamer1.0-dev (>= 1.14.0),
                libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-               libenchant-dev,
+               libenchant-2-dev,
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
                ninja-build,
-               libegl1-mesa-dev,
-               libgl1-mesa-dev,
-               libgles2-mesa-dev
+               libegl-dev,
+               libgl-dev,
+               libgles-dev
 # Build-Depends-Indep: gi-docgen, libglib2.0-doc, libgtk-3-doc, libsoup2.4-doc
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
