## webkit2gtk 2.38.5

=== debian/changelog ===
webkit2gtk (2.38.5-1+m68k) unreleased; urgency=medium

  * Add patch to fix alignment on m68k.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 05 Mar 2023 08:28:29 +0100

webkit2gtk (2.38.5-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2023-0002 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2023-23529 (fixed in 2.38.5).
  * Remove debian/patches/fix-nonunified-build.patch.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Feb 2023 18:10:55 +0100
