=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
            Alberto Garcia <berto@igalia.com>
 X-Ubuntu-Use-Langpack: no
 Build-Depends: debhelper-compat (= 12),
+               ccache [!i386 !m68k],
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
-               clang [amd64],
                cmake (>= 3.10),
                jdupes,
                libglib2.0-dev (>= 2.44.0),
@@ -26,8 +26,9 @@
                libmanette-0.2-dev (>= 0.2.4) [linux-any],
                libxslt1-dev (>= 1.1.7),
                libxml2-dev (>= 2.8),
-               libsoup2.4-dev,libgtk-3-dev,
+               libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
                libsqlite3-dev (>= 3.0),
+               libsystemd-dev [linux-any],
                libgudev-1.0-dev [linux-any],
                libwoff-dev (>= 1.0.2),
                libwpebackend-fdo-1.0-dev [linux-any],
@@ -51,7 +52,7 @@
                libegl-dev,
                libgl-dev,
                libgles-dev
-# Build-Depends-Indep: gi-docgen, libglib2.0-doc, libgtk-3-doc, libsoup2.4-doc
+Build-Depends-Indep: gi-docgen, libglib2.0-doc, libgtk-3-doc, libsoup2.4-doc
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
@@ -244,3 +245,62 @@
  This package contains introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
 
+Package: libjavascriptcoregtk-4.1-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the shared libraries.
+
+Package: libjavascriptcoregtk-4.1-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         gir1.2-javascriptcoregtk-4.1 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK - development files
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the development files.
+
+Package: gir1.2-javascriptcoregtk-4.1
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK - GObject introspection data
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the introspection data, which can be used by
+ packages using the GIRepository format to generate dynamic bindings.
+
+Package: libwebkit2gtk-4.1-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
