=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 # soup3 build -> 4.1 API packages
 # gtk4 build  -> 5.0 API packages
 ENABLE_SOUP2=YES
-ENABLE_SOUP3=NO
-ENABLE_GTK4=NO
+ENABLE_SOUP3=YES
+ENABLE_GTK4=YES
 # Set to YES to use the docs from the tarball instead of generating them.
 # Use only if gi-docgen is not available.
-USE_PREBUILT_DOCS=YES
+USE_PREBUILT_DOCS=NO
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
@@ -26,10 +26,7 @@
 	   -DCMAKE_CXX_FLAGS_RELEASE="" \
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
-	   -DENABLE_GAMEPAD=OFF \
-	   -DUSE_LCMS=OFF \
-	   -DENABLE_MINIBROWSER=ON \
-           -DENABLE_JOURNALD_LOG=OFF
+	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
 
@@ -52,7 +49,7 @@
 
 # Systemd/elogind and libmanette are Linux-only
 ifneq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
 endif
 
 # See https://bugs.webkit.org/show_bug.cgi?id=197192
@@ -66,7 +63,7 @@
 endif
 
 # Lower memory requirements on architectures with only 2 GB address space
-ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel sh4))
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
@@ -113,7 +110,7 @@
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
 	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
 					xdg-dbus-proxy"
-	DH_GENCONTROL_ARGS += -Vbwrap:Suggests="xdg-desktop-portal-gtk"
+	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
 else
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
 endif
@@ -231,3 +228,4 @@
 		sed -e 's/@SOUPDEV_PKG@/libsoup-3.0-dev/g' \
 		    -e 's/@WK_API_VERSION@/5.0/g' \
 		    -e 's/@LIBJSC_PKG@/libjavascriptcoregtk-5.0-0/g' \
+		    -e 's/@LIBWEBKITGTK_PKG@/libwebkit2gtk-5.0-0/g' \
